Bug 98744 - Connector Paragraph Property : Align Top and Align Bottom buttons have reverse effect on text
Summary: Connector Paragraph Property : Align Top and Align Bottom buttons have revers...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
5.1.0.3 release
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Connectors
  Show dependency treegraph
 
Reported: 2016-03-18 12:12 UTC by Tomek
Modified: 2021-12-03 04:45 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Connector label incorrect position (92.59 KB, image/png)
2016-03-18 17:50 UTC, Tomek
Details
Textposition for Connector (10.66 KB, application/vnd.oasis.opendocument.graphics)
2016-03-18 18:46 UTC, Regina Henschel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tomek 2016-03-18 12:12:50 UTC
3.19.0-56-generic #62~14.04.1-Ubuntu SMP Fri Mar 11 11:03:15 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux

On a Connector > Properties > Paragraph: the Align Top and Align Bottom buttons have the reverse effect on the text.

If you click Align Top, it aligns it at the bottom of the connector 
If you click Align Bottom, it aligns it at the top of the connector
Comment 1 Usama 2016-03-18 15:51:11 UTC
Hello Tomek,

Thank you for reporting the bug. Unfortunately without clear steps to reproduce it, we cannot track down the origin of the problem. Please provide a clearer set of step-by-step instructions on how to reproduce the problem.

Also it would be a useful if could attach a screenshot showing the problem you are having.

I have set the bug's status to 'NEEDINFO'. Please change it back to 'UNCONFIRMED' once the requested info is provided.
Comment 2 Tomek 2016-03-18 17:50:41 UTC
Created attachment 123697 [details]
Connector label incorrect position

Notice that the label text is appearing below the connector, however the select icon is for 'Align Top'
Comment 3 Tomek 2016-03-18 17:52:12 UTC
Steps to reproduce

1. Create empty presentation
2. Draw 2 rectangles
3. Join with a connector
4. Type a label for the connector
5. Select the label and choose 'Align Top' or 'Align Bottom' and the text will show in the opposite position
Comment 4 Usama 2016-03-18 18:21:50 UTC
I confirm it on Version: 5.2.0.0.alpha0+

Build ID: 6eb7cd38e348e8a9d6498bfc2d41e91725eb34aa
CPU Threads: 1; OS Version: Windows 6.1; UI Render: default; 
TinderBox: Win-x86@39, Branch:master, Time: 2016-03-16_12:53:35
Locale: en-US (en_US) OS: Windows 7 Enterprise

and

Version: 5.2.0.0.alpha0+

Build ID: aaca25d67eb5ea252730cdcf555ecc04ce04a5e6
CPU Threads: 4; OS Version: Linux 4.2; UI Render: default; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2016-02-24_23:58:47
Locale: en-US (en_US.UTF-8)
OS: Ubuntu 15.01

and

Version: 5.0.2.2

Build ID: 00m0(Build:2)
Locale: en-GB (en_US.UTF-8)
OS: Ubuntu 15.10
Comment 5 Regina Henschel 2016-03-18 18:46:27 UTC
Created attachment 123698 [details]
Textposition for Connector

The setting does not mean the position but it means the reference for the settings in the left part of the dialog. You can understand the settings better, if you use a connector, which is not horizontal or vertical and therefore has a rectangle as bounding box. You should also try negative values.

Example: Setting "Text Anchor" to the top-middle option and "Spacing to Border - Top" to 0.13cm means: Set the text 0.13cm from the top edge of the bounding box. For a horizontal connector this means, the text is actually beyond the connector.

In the attached document the connector is bound to the corners of a rectangle, so that the rectangle equals the bounding box of the connector. The connector has assigned a graphic style "myConnector", so that you can easily play with the settings by altering the style.
Comment 6 Regina Henschel 2016-03-18 18:49:06 UTC
Misunderstanding of the term "Text Anchor" in the dialog.
Comment 7 Regina Henschel 2016-03-18 21:34:46 UTC
The real bug is, that the three items in the sidebar are inside the "Paragraph" section, if the text is in edit mode, although they do not style the paragraph. And they have an unsuitable help and .uno command, which do not belong to their function. Therefore set bug report back to NEW.
Comment 8 QA Administrators 2017-05-22 13:19:21 UTC Comment hidden (obsolete)
Comment 9 QA Administrators 2019-12-03 14:59:29 UTC Comment hidden (obsolete)
Comment 10 QA Administrators 2021-12-03 04:45:43 UTC
Dear Tomek,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://web.libera.chat/?settings=#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug